---
apiVersion: v1
kind: Service
metadata:
  name: jspd-lite-collector
  #namespace: {{ .Values.global.AGENT_NAMESPACE }}
  labels:
    app: jspd-lite-collector
spec:
  ports:
    - name: jspd-lite-collector
      protocol: TCP
      port: 50083
      targetPort: 50083
  selector:
    app: jspd-lite-collector
---
apiVersion: apps/v1
kind: Deployment
metadata:
  #namespace: {{ .Values.global.AGENT_NAMESPACE }}
  name: jspd-lite-collector
  labels:
    app: jspd-lite-collector
spec:
  replicas: 1
  selector:
    matchLabels:
      app: jspd-lite-collector
  template:
    metadata:
      labels:
        app: jspd-lite-collector
    spec:
      containers:
        - name: jspd-lite-collector
          image: {{ .Values.global.IMXC_IN_REGISTRY }}/jspdlitecollector:{{ .Values.global.TRACE_AGENT_VERSION }}
          imagePullPolicy: IfNotPresent
          resources:
            limits:
              memory: "500Mi"
              cpu: "500m"
            requests:
              cpu: "100m"
          ports:
            - containerPort: 50083
          env:
            - name: CMOA_CLST_ID
              value: {{ .Values.global.CLUSTER_ID }}
            - name: CMOA_JSPDCOLLECT_PORT
              value: "50083"
            - name: CMOA_DATAGATE_IP
              value: {{ .Values.global.DATAGATE_IP }}
            - name: CMOA_DATAGATE_PORT
              value: "{{ .Values.global.DATAGATE_PORT }}"
            - name: LOG_LEVEL
              value: INFO
